Class List Method List File List

# Module: Cri::CoreExtensions::String Deprecated

Included in:
  String
Defined in:
  lib/cri/core_ext/string.rb

## Overview

Deprecated.

## Instance Method Summary (collapse)

- - (Object) formatted_as_command
- - (Object) formatted_as_option
- - (Object) formatted_as_title
- - (Object) to_paragraphs
- - (Object) wrap_and_indent(width, indentation)

## Instance Method Details

### - (`Object`) formatted_as_command

See Also:

- StringFormatter#format_as_command

    25
    26
    27

    # File 'lib/cri/core_ext/string.rb', line 25

    def formatted_as_command
      Cri::StringFormatter.new.format_as_command(self)
    end

### - (`Object`) formatted_as_option

See Also:

- StringFormatter#format_as_option

    30
    31
    32

    # File 'lib/cri/core_ext/string.rb', line 30

    def formatted_as_option
      Cri::StringFormatter.new.format_as_option(self)
    end

### - (`Object`) formatted_as_title

See Also:

- StringFormatter#format_as_title

    20
    21
    22

    # File 'lib/cri/core_ext/string.rb', line 20

    def formatted_as_title
      Cri::StringFormatter.new.format_as_title(self)
    end

### - (`Object`) to_paragraphs

See Also:

- StringFormatter#to_paragraphs

    10
    11
    12

    # File 'lib/cri/core_ext/string.rb', line 10

    def to_paragraphs
      Cri::StringFormatter.new.to_paragraphs(self)
    end

### - (`Object`) wrap_and_indent(width, indentation)

See Also:

- StringFormatter#to_paragraphs

    15
    16
    17

    # File 'lib/cri/core_ext/string.rb', line 15

    def wrap_and_indent(width, indentation)
      Cri::StringFormatter.new.wrap_and_indent(self, width, indentation)
    end